package sei.demo.controller;

import com.alibaba.fastjson2.JSONObject;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import sei.cloud.common.support.Flag;
import sei.cloud.common.support.ResMsg;

/**
 * @author xiong
 */
@RestController
@Tag(name = "项目")
@RequestMapping("/api/demo")
public class DemoController {

    @Operation(summary = "测试")
    @RequestMapping(value = "/test", method = {RequestMethod.POST}, produces = {MediaType.APPLICATION_JSON_VALUE})
    public ResMsg Test(@RequestBody JSONObject json) throws Exception {
        return new ResMsg<>(Flag.common.SUCCESS);
    }

}
